Bug 1009810 - usbmuxd_get_device_list: error opening socket!
usbmuxd_get_device_list: error opening socket!
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: usbmuxd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-19 04:05 EDT by Philipp Dreimann
Modified: 2014-09-02 05:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-02 05:38:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Philipp Dreimann 2013-09-19 04:05:38 EDT
Description of problem:
IPod is not accessible from nautilus

kernel: usb 2-1.2: new high-speed USB device number 6 using ehci-pci
kernel: usb 2-1.2: New USB device found, idVendor=05ac, idProduct=129e
kernel: usb 2-1.2: New USB device strings: Mfr=1, Product=2, SerialNumber=3
kernel: usb 2-1.2: Product: iPod
kernel: usb 2-1.2: Manufacturer: Apple Inc.
kernel: usb 2-1.2: SerialNumber: 64677330e26233b40f12fa452bbbe2a61e47769c
mtp-probe[17482]: checking bus 2, device 6: "/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.2"
mtp-probe[17482]: bus: 2, device: 6 was not an MTP device
colord[885]: Device added: sysfs-Apple_Inc.-iPod
upowerd[705]: usbmuxd_get_device_list: error opening socket!
systemd[1]: Starting iOS USB Muxer...
systemd[1]: Started iOS USB Muxer.


Version-Release number of selected component (if applicable):
usbmuxd.x86_64                       1.0.8-7.fc19

How reproducible:
Always.

Steps to Reproduce:
1. Attach IPod
2. Wait for "usbmuxd_get_device_list: error opening socket!"


Actual results:
"usbmuxd_get_device_list: error opening socket!" - and the device not being accessible from Nautilus

Expected results:
The device being accessible

Additional info:
Killing the usbmuxd started by systemd and restarting is as user root using
"usbmuxd -U usbmuxd -f -v" does work and shows no error.
Comment 1 Peter Robinson 2013-09-22 19:41:43 EDT
Are you running SELinux in enforcing mode, any selinux errors in the logs? Any other errors in either the messages or secure logs?
Comment 2 Philipp Dreimann 2013-09-23 07:14:25 EDT
SELinux is enabled and I do not see any additional messages in /var/log/secure or messages.
Comment 3 Peter Robinson 2014-07-30 19:32:04 EDT
I forgot to ask, is this iOS7?
Comment 4 Peter Robinson 2014-09-02 05:38:47 EDT
I believe this is fixed in F-20

Note You need to log in before you can comment on or make changes to this bug.